import dynamix_sdk.base as _base


class CloudapiK8sGetNodeTaintsResultStr(_base.BaseAPIResultStr):
    pass


class CloudapiK8sGetNodeTaintsProtocol(_base.BasePostAPIFunctionProtocol):
    def get_node_taints(
        self,
        *,
        k8s_id: int,
        node_id: int,
    ) -> CloudapiK8sGetNodeTaintsResultStr:
        ...
